# $EPIC: ischannel,v 1.5 2001/07/16 18:57:15 jnelson Exp $
Synopsis:
   $ischannel(<channel name>)

Technical:
   * This function returns 1 if <channel name> is a valid channel name, 
     and 0 if it is not a valid channel name.
   * A channel is "valid" if it begins with the plus character, ('+'), 
     the hash character ('#'), the ampersand ('&'), or the bang ('!').
   * This function does NOT tell you whether or not a channel exists.

Practical:
   Some scripts like to prefix the # character to a channel name if you 
   try to join a channel that isn't valid, as a shortcut.  Such as:

		alias join (channel, ...) {
			if (ischannel($channel)) {
				//join $channel $*
			} else {
				//join #$channel $*
			}
		}

Returns:
    1 if the argument is a valid name for a channel, and 0 if not.

Examples:
   $ischannel(#blah)              returns true
   $ischannel(&blah)              returns true
   $ischannel(blah)               returns false

History:
   This function first appeared in ircII-2.2pre1

See Also:
   join(1)
